Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.configuration
Interface IActivity

All Superinterfaces:
  IAdaptable

public interface IActivity
extends IAdaptable

Install activity. Represents a record of an installation action performed on a particular installation configuration.

This interface is not intended to be implemented by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `IInstallConfiguration`

Field Summary
`static int` | `ACTION_ADD_PRESERVED` Indicates adding the configuration to a preserved state
`static int` | `ACTION_CONFIGURE` Indicates feature configuration action
`static int` | `ACTION_FEATURE_INSTALL` Indicates feature installation action
`static int` | `ACTION_FEATURE_REMOVE` Indicates feature removal (uninstallation) action
`static int` | `ACTION_RECONCILIATION` Indicates reconcilliation with changes made directly to the site installation directory
`static int` | `ACTION_REVERT` Indicates reverting to a prior configuration state
`static int` | `ACTION_SITE_INSTALL` Indicates an addition of a site to a configuration
`static int` | `ACTION_SITE_REMOVE` Indicates removal of a site from a configuration
`static int` | `ACTION_UNCONFIGURE` Indicates feature unconfiguration action
`static int` | `STATUS_NOK` Indicates the action did not complete successfully
`static int` | `STATUS_OK` Indicates the action completed cussessfully

Method Summary
`int` | `getAction()` Returns the action code for this activity
`Date` | `getDate()` Returns the creation date of this activity
`IInstallConfiguration` | `getInstallConfiguration()` Returns the installation configuration that was the result of this action
`String` | `getLabel()` Returns the displayable label for this action
`int` | `getStatus()` Returns the activity completion status

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### ACTION_FEATURE_INSTALL

    public static final int ACTION_FEATURE_INSTALL

  Indicates feature installation action

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### ACTION_FEATURE_REMOVE

    public static final int ACTION_FEATURE_REMOVE

  Indicates feature removal (uninstallation) action

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### ACTION_SITE_INSTALL

    public static final int ACTION_SITE_INSTALL

  Indicates an addition of a site to a configuration

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### ACTION_SITE_REMOVE

    public static final int ACTION_SITE_REMOVE

  Indicates removal of a site from a configuration

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### ACTION_UNCONFIGURE

    public static final int ACTION_UNCONFIGURE

  Indicates feature unconfiguration action

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### ACTION_CONFIGURE

    public static final int ACTION_CONFIGURE

  Indicates feature configuration action

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### ACTION_REVERT

    public static final int ACTION_REVERT

  Indicates reverting to a prior configuration state

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### ACTION_RECONCILIATION

    public static final int ACTION_RECONCILIATION

  Indicates reconcilliation with changes made directly to the site installation directory

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### ACTION_ADD_PRESERVED

    public static final int ACTION_ADD_PRESERVED

  Indicates adding the configuration to a preserved state

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### STATUS_OK

    public static final int STATUS_OK

  Indicates the action completed cussessfully

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### STATUS_NOK

    public static final int STATUS_NOK

  Indicates the action did not complete successfully

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

Method Detail

### getAction

    public int getAction()

  Returns the action code for this activity

  Returns:
    action code, as defined in this interface
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    `ACTION_FEATURE_INSTALL`, `ACTION_FEATURE_REMOVE`, `ACTION_SITE_INSTALL`, `ACTION_SITE_REMOVE`, `ACTION_UNCONFIGURE`, `ACTION_CONFIGURE`, `ACTION_REVERT`, `ACTION_RECONCILIATION`

### getLabel

    public String getLabel()

  Returns the displayable label for this action

  Returns:
    diplayable label for action
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getDate

    public Date getDate()

  Returns the creation date of this activity

  Returns:
    activity date
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getStatus

    public int getStatus()

  Returns the activity completion status

  Returns:
    completion status, as defined in this interface
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    `STATUS_OK`, `STATUS_NOK`

### getInstallConfiguration

    public IInstallConfiguration getInstallConfiguration()

  Returns the installation configuration that was the result of this action

  Returns:
    installation configuration
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.